kbdcontrol(1)

NAME
kbdcontrol - a utility for manipulating the syscons keyboard driver section.

SYNOPSIS
kbdcontrol [-dFx] [-b duration.pitch | belltype] [-r delay.repeat | speed] [-l mapfile] [-f # string] [-h -size] [-L -mapfile]

DESCRIPTION
The kbdcontrol command is used to set various keyboard related options for the syscons console driver, such as keymap, keyboard repeat & delay rates, bell characteristics etc.

The following command line options are supported:

-b duration.pitch | belltype
    Set the bell duration and pitch values. If a belltype argument is specified, it may be one of normal which set sound parameters back to normal values, or visual which set the bell to visual mode, i.e. flashes the screen instead.

-r delay.repeat | speed
    Set keyboard delay (250, 500, 750, 1000) and repeat (34, 38, 42, 46, 50, 55, 59, 63, 68, 76, 84, 92, 100, 110, 118, 126, 136, 152, 168, 184, 200, 220, 236, 252, 272, 304, 336, 368, 400, 440, 472, 504) rates, or if a speed argument is specified, it may be one of slow (1000.504), fast (250.34) or normal (500.126)

-l mapfile
    Install keyboard map file from mapfile

-d  Dump the current keyboard map onto stdout

-f # string
    Set function key number # to send string

-F  Set function keys back to the standard definitions.

-x  Use hexadecimal numbers in keyboard map dump.

-h size
    Set history buffer size to size lines.

-L mapfile
    Load keyboard map file from mapfile and write the struct keymap compiled from it to stdout.

FILES
/usr/share/syscons/keymaps

BUGS
Report when found.

SEE ALSO
vidcontrol(1), keyboard(4), screen(4)

AUTHORS
Søren Schmidt (sos@FreeBSD.org)